Bug 733818 - [abrt] iok-1.3.12-3.fc15: strcmp: Process /usr/bin/iok was killed by signal 11 (SIGSEGV)
Summary: [abrt] iok-1.3.12-3.fc15: strcmp: Process /usr/bin/iok was killed by signal 1...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iok
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:041b9a318718fd9b81346598f32...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-27 05:42 UTC by sly
Modified: 2011-09-09 17:02 UTC (History)
2 users (show)

Fixed In Version: iok-1.3.12-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 17:02:43 UTC


Attachments (Terms of Use)
File: maps (24.29 KB, text/plain)
2011-08-27 05:42 UTC, sly
no flags Details
File: backtrace (60.32 KB, text/plain)
2011-08-27 05:42 UTC, sly
no flags Details

Description sly 2011-08-27 05:42:45 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        iok
comment:        I don't know what caused the crash
component:      iok
crash_function: strcmp
executable:     /usr/bin/iok
kernel:         2.6.38.8-35.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        iok-1.3.12-3.fc15
reason:         Process /usr/bin/iok was killed by signal 11 (SIGSEGV)
time:           Fri Aug 26 23:40:07 2011
xsession_errors: 

backtrace:      Text file, 61771 bytes
maps:           Text file, 24874 bytes

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:08bad10bf66ebe542324b597d6ee310019929249
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:9cd020ec2107c08febe2c8fcabd158212c207854
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:90fe13fac734263f663981ce4d1691cf926ced25
:087f3b383512e5ebb6de228c20a0074c908be719
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:585e18f56063dab8934660820f0c63765c6c1a1f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:4a7e68edf2778a9fbd3d4a8fbd3f9d1e7b785fc6
:4f7a55bed0ffd3e712fddae36bd8f88ef3338c5a
:0911ea7c180d733724f89037b8e8a34e64024aec
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:634eca0cadcf35206919dd5e6a8e2e8601276947
:48aea888319e1848137073c9cbde54a4c2a731c9
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:e5f626726497a81807681ed0088dbce6d6a1f17b
:4953d1f613914126bccceb3cb96386647ffba9df
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:fdc09328fea3e060c8a504a8291555b4cd19172a
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:264bfd9d45950be27417615f22a11928f979af89
:1d87720659528ad80e8870da2b2bb4af4470cf66
:dbe26f191fd371706b2dda27896aa30a5b22dde9
:91689252818532ec13597b6528d38be93b2706c4
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:3cb38edbc184347a707c6c431ca50085bbd5228a
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:430727f8c2266b98bd2cad149c613766e50fb5d9
:3efa90a1dfea76e986419cc678c07b368c6afde2
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:23b6792e3218744316fd495002f40a037c2e0095
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:189c7475c0490584f314acd7377d00adc0fc2b1a
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:e2c2ff309aa58714153795e45b8eafdde359f082
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:4ead7e31a3a01781151307f8a41645f011bcb498
:876e109b32b4120f117901480512f2714d629558
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

dso_list:
:/lib64/libcrypt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309893453
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305315781
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1309893481
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309893463
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311108319
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1305315789
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1309893481
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1313160547
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1305315789
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1313160541
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1305315740
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309893463
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1305315776
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.17-1.fc15.x86_64 (Fedora Project) 1313160730
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1313790317
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309893463
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1305315723
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312357462
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305315781
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1309893479
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309893463
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309893463
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1305315792
:/usr/bin/iok iok-1.3.12-3.fc15.x86_64 (Fedora Project) 1305315795
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309893465
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1313160552
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libunique-1.0.so.0.100.6 unique-1.1.6-4.fc15.x86_64 (Fedora Project) 1312149556
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1305315781
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1305315778

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-sly
:XDG_SESSION_ID=1
:HOSTNAME=STKSRV.SuTecK
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-GhnQJn/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=8fe2e915b10f01f235a904f400000012-1311107927.309085-1680077099
:WINDOWID=83886084
:GNOME_KEYRING_CONTROL=/tmp/keyring-GhnQJn
:IMSETTINGS_MODULE=none
:USER=sly
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-GhnQJn/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1156,unix/unix:/tmp/.ICE-unix/1156
:USERNAME=sly
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/sly/bin
:MAIL=/var/spool/mail/sly
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/sly
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en
:US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/sly
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=sly
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-mhInjdDcxx,guid=9f85c2be60ef265604785ab60000001a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sly
:DISPLAY=:0.0
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-sly-GrlPvM/database
:_=/usr/bin/iok

var_log_messages:
:Aug 26 23:40:07 STKSRV kernel: [3307434.460529] iok[7877]: segfault at 0 ip 0000003497d1cd76 sp 00007fff953c1cc8 error 4 in libc-2.14.so[3497c00000+18f000]
:Aug 26 23:40:08 STKSRV abrt[7898]: saved core dump of pid 7877 (/usr/bin/iok) to /var/spool/abrt/ccpp-2011-08-26-23:40:07-7877.new/coredump (2846720 bytes)

Comment 1 sly 2011-08-27 05:42:48 UTC
Created attachment 520156 [details]
File: maps

Comment 2 sly 2011-08-27 05:42:49 UTC
Created attachment 520157 [details]
File: backtrace

Comment 3 Fedora Update System 2011-08-31 12:48:05 UTC
iok-1.3.12-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/iok-1.3.12-4.fc16

Comment 4 Fedora Update System 2011-08-31 21:45:18 UTC
Package iok-1.3.12-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iok-1.3.12-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/iok-1.3.12-4.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-09 17:02:33 UTC
iok-1.3.12-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.